GFF3Parser (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.gff3.GFF3Parser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff3
Class GFF3Parser

    java.lang.Object
      org.biojava.bio.program.gff3.GFF3Parser

    public class GFF3Parser

extends Object

Parse a stream of GFF text into a stream of records and comments.

Developed from `GFFParser`.

Author:
  Matthew Pocock

Constructor Summary
`GFF3Parser()`

Method Summary
`protected GFF3Record` | `createRecord(GFF3DocumentHandler handler, List aList, String rest, String comment, Ontology ontology, Ontology fallBack)` Actually turns a list of tokens, some value string and a comment into a GFF3Record and informs handler.
`GFFErrorHandler` | `getErrorHandler()` Find the error handler used by this parser.
`void` | `parse(BufferedReader bReader, GFF3DocumentHandler handler, Ontology ontology)` Informs handler of each line of gff read from bReader.
`void` | `parse(BufferedReader bReader, GFF3DocumentHandler handler, Ontology ontology, String locator)` Informs handler of each line of GFF read from bReader
`protected void` | `parseAttribute(String attValList, Annotation anno, Ontology onto, Ontology fallBack)` Parse attValList into a Map of attributes and value lists.
`void` | `setErrorHandler(GFFErrorHandler errors)` Set the error handler used by this parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFF3Parser

    public GFF3Parser()

Method Detail

### setErrorHandler

    public void setErrorHandler(GFFErrorHandler errors)

  Set the error handler used by this parser.

### getErrorHandler

    public GFFErrorHandler getErrorHandler()

  Find the error handler used by this parser.

### parse

    public void parse(BufferedReader bReader,
                      GFF3DocumentHandler handler,
                      Ontology ontology)
               throws IOException,
                      BioException,
                      ParserException

  Informs handler of each line of gff read from bReader. This form of the method should only be used if no locator string is available for the resource being parsed.

  Parameters:
    `bReader` - the BufferedReader to parse
    `handler` - the GFF3DocumentHandler that will listen for 'stuff'
    `ontology` - an Ontology that all terms should come from
  Throws:
    `- class="type">IOException if for any reason bReader throws one`
    `- class="type">BioException if handler can not correct a parse error`
    `IOException`
    `BioException`
    `ParserException`

### parse

    public void parse(BufferedReader bReader,
                      GFF3DocumentHandler handler,
                      Ontology ontology,
                      String locator)
               throws IOException,
                      BioException,
                      ParserException

  Informs handler of each line of GFF read from bReader

  Parameters:
    `bReader` - the BufferedReader to parse
    `handler` - the GFF3DocumentHandler that will listen for 'stuff'
    `ontology` - an Ontology that all terms should come from
  Throws:
    `- class="type">IOException if for any reason bReader throws one`
    `- class="type">BioException if handler can not correct a parse error`
    `IOException`
    `BioException`
    `ParserException`

### createRecord

    protected GFF3Record createRecord(GFF3DocumentHandler handler,
                                      List aList,
                                      String rest,
                                      String comment,
                                      Ontology ontology,
                                      Ontology fallBack)
                               throws BioException,
                                      ParserException,
                                      IgnoreRecordException

  Actually turns a list of tokens, some value string and a comment into a GFF3Record and informs handler.

  Parameters:
    `handler` - a GFF3DocumentHandler to inform of any parse errors, and the completed GFF3Record
    `aList` - a List containing the 8 mandatory GFF columns
    `rest` - a String representing the unparsed attribute-value text, or null if there is none
    `comment` - a String containing the comment (without the leading '`#`' character.
    `ontology` - the Ontology to resolve Terms in
  Throws:
    `- class="type">BioException if handler could not correct a parse error`
    `BioException`
    `ParserException`
    `IgnoreRecordException`

### parseAttribute

    protected void parseAttribute(String attValList,
                                  Annotation anno,
                                  Ontology onto,
                                  Ontology fallBack)
                           throws ChangeVetoException

  Parse attValList into a Map of attributes and value lists.

  Populates an Annotation instance with Ontology Term keys and string/list values.

  Parameters:
    `attValList` - the String to parse
  Throws:
    `ChangeVetoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD